
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Getting help &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Reporting bugs" href="bugs.html" />
    <link rel="prev" title="Installing Varnish" href="install.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="bugs.html" title="Reporting bugs"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="install.html" title="Installing Varnish"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">Varnish Installation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Getting help</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="getting-help">
<h1>Getting help<a class="headerlink" href="#getting-help" title="Permalink to this headline">¶</a></h1>
<p>Getting hold of the gang behind Varnish is pretty straight forward,
we try to help out as much as time permits and have tried to streamline
this process as much as possible.</p>
<p>But before you grab hold of us, spend a moment composing your thoughts and
formulate your question. From our perspective there is nothing as pointless as simply telling
us “Varnish does not work for me” with no further information. This does not give us any relevant information to use when trying to figure out whats wrong.</p>
<p>And before you even do that, do a couple of searches to see if your
question is already answered, if it has been, you will get your answer
much faster that way.</p>
<section id="irc-channel">
<h2>IRC Channel<a class="headerlink" href="#irc-channel" title="Permalink to this headline">¶</a></h2>
<p>The most immediate way to get hold of us is to join our IRC channel:</p>
<blockquote>
<div><p><cite>#varnish on server irc.linpro.no</cite></p>
</div></blockquote>
<p>The main timezone of the channel is Europe work hours.</p>
<p>If you can explain your problem in a few clear sentences, without too
much copy&amp;paste, IRC is a good way to try to get help. If you do need
to paste log files, VCL and so on, please use a <a class="reference external" href="https://gist.github.com/">pastebin</a> service.</p>
<p>If the channel is all quiet, try again some time later, we do have lives,
families and jobs to deal with also.</p>
<p>You are more than welcome to just hang out, and while we don’t mind
the occasional intrusion from the real world into our flow, we try and keep
it mostly on topic, and please don’t paste random links unless they are
<em>really</em> spectacular and intelligent.</p>
</section>
<section id="mailing-lists">
<h2>Mailing Lists<a class="headerlink" href="#mailing-lists" title="Permalink to this headline">¶</a></h2>
<p>Subscribing or unsubscribing to our mailing lists is handled through <a class="reference external" href="https://www.varnish-cache.org/lists/mailman/listinfo">mailman</a>.</p>
<p>If you are going to use Varnish, subscribing to our <cite>varnish-announce</cite>
mailing list is a very good idea. The typical pattern is that
people spend some time getting Varnish running, and then more or less
forget about it. Therefore the announce list is a good way to be
reminded about new releases, bugs or potential (security) vulnerabilities.</p>
<p>The <cite>varnish-misc</cite> mailing list is for general banter, questions,
suggestions, ideas and so on.  If you are new to Varnish it may pay
off to subscribe to it, simply to have an ear to the telegraph-pole
and potentially learn some smart tricks.  This is also a good place to ask for help
with more complex issues, that may require file-chunks, references to files and/or long
explanations.</p>
<p>Make sure to pick a good subject line, and if the subject of the
thread changes, please change the subject to match, some of us deal
with hundreds of emails per day, after spam-filters, and we need all
the help we can get to pick the interesting ones.</p>
<p>The <cite>varnish-dev</cite> mailing list is used by the developers and is
usually quite focused on source-code and such. Everybody on
the <cite>-dev</cite> list is also on <cite>-misc</cite>, so cross-posting only serves to annoy
those people.</p>
<p>We also maintain a community <a class="reference external" href="https://www.varnish-cache.org/trac">wiki</a> for Varnish, there you will find information on planned events, meetings, current backlog, trouble tickets ,  and links to resources and documentation.</p>
</section>
<section id="trouble-tickets">
<h2>Trouble Tickets<a class="headerlink" href="#trouble-tickets" title="Permalink to this headline">¶</a></h2>
<p>Please do not open a trouble ticket, unless you have spotted an actual
bug in Varnish.  Ask on IRC first if you are in doubt.</p>
<p>The reason for this policy, is to avoid bugs being drowned in a
pile of other <cite>issues</cite>, feature suggestions for future releases, and double postings of calls for help
from people who forgot to check back on already opened Tickets.</p>
<p>We instead track suggestions and feature ideas in our <a class="reference external" href="https://www.varnish-cache.org/trac/wiki/Future_Feature">“Future_Feature” wiki page</a>,
and through user support via email and IRC.</p>
</section>
<section id="commercial-support">
<h2>Commercial Support<a class="headerlink" href="#commercial-support" title="Permalink to this headline">¶</a></h2>
<p>The following companies offer commercial Varnish support, and are listed
here for your convenience.  If you want your company listed here, drop
an email to <a class="reference external" href="mailto:phk&#37;&#52;&#48;FreeBSD&#46;org">phk<span>&#64;</span>FreeBSD<span>&#46;</span>org</a>.</p>
<blockquote>
<div><p>Varnish Software
<a class="reference external" href="mailto:sales&#37;&#52;&#48;varnish-software&#46;com">sales<span>&#64;</span>varnish-software<span>&#46;</span>com</a></p>
<p>UPLEX
<a class="reference external" href="mailto:info&#37;&#52;&#48;uplex&#46;de">info<span>&#64;</span>uplex<span>&#46;</span>de</a></p>
</div></blockquote>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Getting help</a><ul>
<li><a class="reference internal" href="#irc-channel">IRC Channel</a></li>
<li><a class="reference internal" href="#mailing-lists">Mailing Lists</a></li>
<li><a class="reference internal" href="#trouble-tickets">Trouble Tickets</a></li>
<li><a class="reference internal" href="#commercial-support">Commercial Support</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="install.html"
                        title="previous chapter">Installing Varnish</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="bugs.html"
                        title="next chapter">Reporting bugs</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/installation/help.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="bugs.html" title="Reporting bugs"
             >next</a> |</li>
        <li class="right" >
          <a href="install.html" title="Installing Varnish"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >Varnish Installation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Getting help</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>